
Foreman - Refactor #35428

Tracker # 28570 (Closed): Rails 6.1 Tracker

Update rails-i18n to version 7

08/25/2022 09:44 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9377

  

Description

Version 7 adds Rails 7 support. It is a major version because it drops Ruby 1.8, but Foreman has dropped that a long time ago.

Associated revisions

Revision 4ce57261 - 08/26/2022 02:07 PM - Ewoud Kohl van Wijngaarden

Fixes #35428 - Update rails-i18n to version 7

Version 7 adds Rails 7 support. It is a major version due to dropping

Ruby 1.8, which is irrelevant for Foreman.

Revision 5b7bfd25 - 08/26/2022 02:07 PM - Ewoud Kohl van Wijngaarden

Refs #35428 - Simplify i18n.fallbacks handling

This reverts commit 11bfc142561f1c69d2b8b5abc66df943a66b1672. Since

Rails 6.0 the value true is interpreted as `[I18n.default_locale]`

([Rails commit]). ActiveSupport 6.1 also pulls in at least version 1.6

so the specific requirement is also not needed.

[Rails commit]: https://github.com/rails/rails/commit/66614f6b67402ec526a699760d1c21c586834da8

History

#1 - 08/25/2022 10:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9377 added

#2 - 08/26/2022 02:07 PM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#3 - 08/26/2022 03:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|4ce57261f788ea91598efbd4ddb3fe329d9b255d.

#4 - 11/28/2022 12:28 PM - Ewoud Kohl van Wijngaarden

- Category changed from Internationalization to Packaging

- Triaged changed from No to Yes
